cdac.medinfo.model

## Class Results

- java.lang.Object
- - cdac.medinfo.model.Results

-     public class Results
      extends java.lang.Object

  This class specifies Result Section Details. This section contains the results of observations generated by laboratories, imaging procedures, and other procedures for the period of time being summarized.

  This class has the following attributes:

  1. testDate (String)
  2. testDetails (List`<TestReport>`)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Results()` Constructs an object of Result

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTestDate()` Returns the date of test result.
    `java.util.List<TestReport>` | `getTestDetails()` Returns the list of TestDetails.
    `void` | `setTestDate(java.lang.String testDate)` Sets the date of result.
    `void` | `setTestDetails(java.util.List<TestReport> testDetails)` Sets the Test Details.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Results

          public Results()

      Constructs an object of Result

  - ### Method Detail

    - #### getTestDate

          public java.lang.String getTestDate()

      Returns the date of test result.
      Returns:
        the date of test result.

    - #### setTestDate

          public void setTestDate(java.lang.String testDate)

      Sets the date of result.
      Parameters:
        `testDate` - Specifies the date of Result

    - #### getTestDetails

          public java.util.List<TestReport> getTestDetails()

      Returns the list of TestDetails.
      Returns:
        the list of TestDetails.

    - #### setTestDetails

          public void setTestDetails(java.util.List<TestReport> testDetails)

      Sets the Test Details.
      Parameters:
        `testDetails` - Specifies list of Test Reports